Bug 123022 - New port: archivers/rpm5
New port: archivers/rpm5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Edwin Groothuis
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 18:20 UTC by afb
Modified: 2008-07-07 14:20 UTC (History)
0 users

See Also:


Attachments
file.shar (12.00 KB, text/plain)
2008-04-23 18:20 UTC, afb
no flags Details
rpm5.shar (11.80 KB, application/octet-stream; x-unix-mode=0644)
2008-05-05 08:13 UTC, afb
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description afb 2008-04-23 18:20:02 UTC
New major version of RPM, based upon rpm5.org release.

Major new features are sqlite, xar and lzma support as
well as lots of cleanup and better support for FreeBSD.

See http://rpm5.org/pressrelease.php for more details.

The new rpm5 port is based on the old rpm4 port, with
new knobs added for Python and Lua scripting support.

Fix: Patch attached with submission follows:
Comment 1 itetcu freebsd_committer 2008-05-04 21:20:18 UTC
State Changed
From-To: open->feedback

Could you please submit a new diff which will silence portlint -A ? 
Thanks.
Comment 2 afb 2008-05-05 08:13:36 UTC
Here is a new port, with portlint -A warnings fixed...
(except for the minor "only one MASTER_SITE" warning)

--anders
Comment 3 Edwin Groothuis freebsd_committer 2008-06-19 01:04:01 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 4 Edwin Groothuis freebsd_committer 2008-06-19 08:00:38 UTC
State Changed
From-To: open->repocopy

Please repocopy archivers/rpm4 to archivers/rpm5 for this issue. 


Comment 5 Edwin Groothuis freebsd_committer 2008-06-19 08:00:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Portmgr does do repocopies.
Comment 6 Joe Marcus Clarke freebsd_committer 2008-06-22 18:56:32 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2008-06-22 18:56:32 UTC
Responsible Changed
From-To: portmgr->edwin

Repocopy complete.
Comment 8 dfilter freebsd_committer 2008-07-07 12:59:10 UTC
edwin       2008-07-07 11:59:02 UTC

  FreeBSD ports repository

  Modified files:
    archivers/rpm5       Makefile distinfo pkg-deinstall pkg-descr 
                         pkg-install pkg-plist 
    archivers/rpm5/files patch-Makefile.in 
                         patch-beecrypt::Makefile.in 
                         patch-beecrypt::configure 
                         patch-build::Makefile.in patch-configure 
                         patch-db3::configure 
                         patch-doc::Makefile.in 
                         patch-lib::Makefile.in 
                         patch-lib::signature.c patch-macros.in 
                         patch-python::Makefile.in 
                         patch-python::rpmmodule.c 
                         patch-rpmdb::Makefile.in 
                         patch-rpmio::Makefile.in patch-rpmrc.in 
                         patch-tools::Makefile.in 
  Log:
  Welcome archivers/rpm5
  
  PR:             ports/123022
  
  Revision  Changes    Path
  1.19      +0 -0      ports/archivers/rpm5/Makefile
  1.3       +0 -0      ports/archivers/rpm5/distinfo
  1.2       +0 -0      ports/archivers/rpm5/files/patch-Makefile.in
  1.2       +0 -0      ports/archivers/rpm5/files/patch-beecrypt::Makefile.in
  1.5       +0 -0      ports/archivers/rpm5/files/patch-beecrypt::configure
  1.2       +0 -0      ports/archivers/rpm5/files/patch-build::Makefile.in
  1.5       +1 -1      ports/archivers/rpm5/files/patch-configure
  1.2       +0 -0      ports/archivers/rpm5/files/patch-db3::configure
  1.2       +0 -0      ports/archivers/rpm5/files/patch-doc::Makefile.in
  1.2       +0 -0      ports/archivers/rpm5/files/patch-lib::Makefile.in
  1.2       +0 -0      ports/archivers/rpm5/files/patch-lib::signature.c
  1.2       +1 -1      ports/archivers/rpm5/files/patch-macros.in
  1.3       +0 -0      ports/archivers/rpm5/files/patch-python::Makefile.in
  1.2       +0 -0      ports/archivers/rpm5/files/patch-python::rpmmodule.c
  1.2       +0 -0      ports/archivers/rpm5/files/patch-rpmdb::Makefile.in
  1.3       +0 -0      ports/archivers/rpm5/files/patch-rpmio::Makefile.in
  1.2       +0 -0      ports/archivers/rpm5/files/patch-rpmrc.in
  1.2       +0 -0      ports/archivers/rpm5/files/patch-tools::Makefile.in
  1.2       +1 -1      ports/archivers/rpm5/pkg-deinstall
  1.3       +0 -0      ports/archivers/rpm5/pkg-descr
  1.2       +1 -1      ports/archivers/rpm5/pkg-install
  1.8       +0 -0      ports/archivers/rpm5/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Edwin Groothuis freebsd_committer 2008-07-07 14:19:23 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 10 dfilter freebsd_committer 2008-07-07 14:19:30 UTC
edwin       2008-07-07 13:19:16 UTC

  FreeBSD ports repository

  Modified files:
    archivers            Makefile 
    archivers/rpm5       Makefile distinfo pkg-deinstall pkg-descr 
                         pkg-install pkg-plist 
  Removed files:
    archivers/rpm5/files patch-Makefile.in 
                         patch-beecrypt::Makefile.in 
                         patch-beecrypt::configure 
                         patch-build::Makefile.in patch-configure 
                         patch-db3::configure 
                         patch-doc::Makefile.in 
                         patch-lib::Makefile.in 
                         patch-lib::signature.c patch-macros.in 
                         patch-python::Makefile.in 
                         patch-python::rpmmodule.c 
                         patch-rpmdb::Makefile.in 
                         patch-rpmio::Makefile.in patch-rpmrc.in 
                         patch-tools::Makefile.in 
  Log:
  New port: archivers/rpm5
  
          New major version of RPM, based upon rpm5.org release.
  
          Major new features are sqlite, xar and lzma support as
          well as lots of cleanup and better support for FreeBSD.
  
          See http://rpm5.org/pressrelease.php for more details.
  
          The new rpm5 port is based on the old rpm4 port, with
          new knobs added for Python and Lua scripting support.
  
  PR:             ports/123022
  Submitted by:   Anders F Björklund <afb@rpm5.org>
  
  Revision  Changes    Path
  1.203     +1 -0      ports/archivers/Makefile
  1.20      +79 -20    ports/archivers/rpm5/Makefile
  1.4       +3 -3      ports/archivers/rpm5/distinfo
  1.3       +0 -99     ports/archivers/rpm5/files/patch-Makefile.in (dead)
  1.3       +0 -22     ports/archivers/rpm5/files/patch-beecrypt::Makefile.in (dead)
  1.6       +0 -11     ports/archivers/rpm5/files/patch-beecrypt::configure (dead)
  1.3       +0 -29     ports/archivers/rpm5/files/patch-build::Makefile.in (dead)
  1.6       +0 -309    ports/archivers/rpm5/files/patch-configure (dead)
  1.3       +0 -11     ports/archivers/rpm5/files/patch-db3::configure (dead)
  1.3       +0 -11     ports/archivers/rpm5/files/patch-doc::Makefile.in (dead)
  1.3       +0 -34     ports/archivers/rpm5/files/patch-lib::Makefile.in (dead)
  1.3       +0 -13     ports/archivers/rpm5/files/patch-lib::signature.c (dead)
  1.3       +0 -13     ports/archivers/rpm5/files/patch-macros.in (dead)
  1.4       +0 -21     ports/archivers/rpm5/files/patch-python::Makefile.in (dead)
  1.3       +0 -10     ports/archivers/rpm5/files/patch-python::rpmmodule.c (dead)
  1.3       +0 -34     ports/archivers/rpm5/files/patch-rpmdb::Makefile.in (dead)
  1.4       +0 -71     ports/archivers/rpm5/files/patch-rpmio::Makefile.in (dead)
  1.3       +0 -53     ports/archivers/rpm5/files/patch-rpmrc.in (dead)
  1.3       +0 -98     ports/archivers/rpm5/files/patch-tools::Makefile.in (dead)
  1.3       +2 -2      ports/archivers/rpm5/pkg-deinstall
  1.4       +1 -1      ports/archivers/rpm5/pkg-descr
  1.3       +10 -10    ports/archivers/rpm5/pkg-install
  1.9       +169 -89   ports/archivers/rpm5/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"